
package LazyLRSEvaluators;

import LRStructure.*;

public class LazyConstantEval extends ALazyEval
{
	int val;

	/**
	 * @param val 
	 * @SBGen Constructor assigns val
	 */
	public LazyConstantEval(int val)
	{
		// SBgen: Assign variable
		this.val = val;
	}
	public final LRStruct nextLRS()
	{
		return (makeLRS ());
	}

	/**
	 * @return
	 */
	public final LRStruct makeLRS()
	{
		return makeLazyLRS (new Integer(val));
	}
}

